package util;

import java.util.Comparator;
import java.util.Map;

public class DoubleComparator<Integer> implements Comparator<Integer> {
  Map map;
	
  public DoubleComparator(Map map) {
    this.map = map;
  }
	
  public int compare(Integer arg0, Integer arg1) {
    if(!map.containsKey(arg0) || !map.containsKey(arg1)) {
      return 0;
    }
	
    if((Double)map.get(arg0) < (Double)map.get(arg1)) {
      return 1;
    } else if((Double)map.get(arg0) == (Double)map.get(arg1)) {
      return 1;
    } else {
      return -1;
    }
  }
}
