package util;


import java.util.ArrayList;
import java.util.List;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author Dunst
 */
public class Point {
    private List<Float> params;
    private int clusterId = -1;
    private double weight = 1;
    
    public Point(List<Float> params){
        this();
        this.params.addAll(params);
    }
    
    public Point(){
        params = new ArrayList<Float>();
    }
    
    public List<Float> getParams(){
        return this.params;
    }
    
    public float get(int i){
        return params.get(i);
    }

    /**
     * @return the clusterId
     */
    public int getClusterId() {
        return clusterId;
    }

    /**
     * @param clusterId the clusterId to set
     */
    public void setClusterId(int clusterId) {
        this.clusterId = clusterId;
    }
    
    public int size(){
        return params.size();
    }
    


    /**
     * @return the weight
     */
    public double getWeight() {
        return weight;
    }

    /**
     * @param weight the weight to set
     */
    public void setWeigth(double weigth) {
        this.weight = weigth;
    }
    
    public Point copy(){
        List<Float> _params = new ArrayList<Float>();
        _params.addAll(this.params);
        return new Point(_params);
    }
}
